{
  "name": "@netdata/netdata-ui",
  "version": "4.2.4",
  "description": "netdata UI kit",
  "main": "dist/index.js",
  "module": "dist/es6/index.js",
  "jsnext:main": "dist/es6/index.js",
  "repository": {
    "type": "git",
    "url": "git@github.com:netdata/netdata-ui.git"
  },
  "author": "Netdata",
  "license": "GPL-3.0",
  "private": false,
  "files": [
    "/dist"
  ],
  "scripts": {
    "testOut": "yarn test --env=jsdom --json --outputFile=.jest-test-results.json",
    "build:cjs": "babel src --out-dir dist --copy-files --ignore **/*.stories.js",
    "build:es6": "BABEL_ENV=es6 babel src --out-dir dist/es6 --copy-files --ignore **/*.stories.js",
    "build:umd": "NODE_ENV=production webpack",
    "build": "yarn build:umd && yarn build:cjs && yarn build:es6",
    "clean": "rimraf lib dist es coverage",
    "test": "jest --config ./jest/config.js",
    "cp-cloud": "cp -R ./dist ../cloud-frontend/node_modules/@netdata/netdata-ui/",
    "to-cloud": "yarn build:cjs && yarn build:es6 && yarn cp-cloud",
    "cp-charts": "cp -R ./dist ../charts/node_modules/@netdata/netdata-ui/",
    "to-charts": "yarn build && yarn cp-charts",
    "prepublishOnly": "yarn clean && yarn build",
    "storybook": "storybook dev -p 6006",
    "build-storybook": "storybook build"
  },
  "keywords": [
    "netdata",
    "frontend",
    "ui-kit"
  ],
  "resolutions": {
    "jackspeak": "2.1.1"
  },
  "dependencies": {
    "@dnd-kit/core": "^6.1.0",
    "@dnd-kit/sortable": "^8.0.0",
    "@elastic/react-search-ui": "^1.20.2",
    "@elastic/search-ui-site-search-connector": "^1.20.2",
    "@prismicio/client": "7.3.1",
    "@styled-system/css": "^5.1.5",
    "@tanstack/react-table": "^8.10.6",
    "@tanstack/react-virtual": "3.0.0-beta.29",
    "axios": "^1.6.2",
    "polished": "^4.2.2",
    "react-portal": "^4.2.2",
    "react-select": "^5.8.0",
    "styled-system": "^5.1.5",
    "throttle-debounce": "5.0.0",
    "use-context-selector": "^1.3.7"
  },
  "peerDependencies": {
    "lodash": "*",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "styled-components": "^5.3.9"
  },
  "devDependencies": {
    "@babel/cli": "^7.23.4",
    "@babel/core": "^7.23.5",
    "@babel/eslint-parser": "^7.23.3",
    "@babel/plugin-proposal-object-rest-spread": "^7.20.7",
    "@babel/plugin-transform-modules-umd": "^7.23.3",
    "@babel/plugin-transform-runtime": "^7.23.4",
    "@babel/preset-env": "^7.23.5",
    "@babel/preset-react": "^7.23.3",
    "@storybook/addon-essentials": "7.5.1",
    "@storybook/addon-interactions": "7.5.1",
    "@storybook/addon-links": "7.5.1",
    "@storybook/blocks": "7.5.1",
    "@storybook/react": "7.5.1",
    "@storybook/react-webpack5": "7.5.1",
    "@storybook/testing-library": "^0.2.2",
    "@testing-library/jest-dom": "^6.1.5",
    "@testing-library/react": "^14.1.2",
    "@testing-library/user-event": "^14.5.1",
    "babel-loader": "^9.1.3",
    "babel-plugin-module-resolver": "^5.0.0",
    "babel-plugin-styled-components": "^2.1.4",
    "clean-webpack-plugin": "^4.0.0",
    "copyfiles": "^2.4.1",
    "eslint": "^8.54.0",
    "eslint-plugin-react": "^7.33.2",
    "eslint-plugin-react-hooks": "^4.6.0",
    "eslint-plugin-storybook": "^0.6.15",
    "html-loader": "^4.2.0",
    "identity-obj-proxy": "^3.0.0",
    "install-peers-cli": "^2.2.0",
    "jest": "^29.7.0",
    "jest-environment-jsdom": "^29.7.0",
    "jest-styled-components": "^7.1.1",
    "jsdom": "23.0.1",
    "lodash": "^4.17.21",
    "markdown-loader": "8.0.0",
    "prettier": "^3.1.0",
    "prop-types": "^15.8.1",
    "raw-loader": "^4.0.2",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "rimraf": "^5.0.5",
    "sass-loader": "^13.3.2",
    "storybook": "^7.6.2",
    "styled-components": "^5.3.9",
    "svg-sprite-loader": "^6.0.11",
    "svgo-loader": "^4.0.0",
    "url-loader": "^4.1.1",
    "webpack": "^5.88.2",
    "webpack-cli": "^5.1.4"
  }
}
